# List all check statuses - Checkly Docs

> Shows the current status information for all checks in your account. The check status records are continuously updated as new check results come in.

Source: https://www.checklyhq.com/docs/api-reference/check-status/list-all-check-statuses/

---

List all check statuses

```
curl --request GET \
--url https://api.checklyhq.com/v1/check-statuses \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v1/check-statuses"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v1/check-statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v1/check-statuses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v1/check-statuses"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v1/check-statuses")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v1/check-statuses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
[
{
"name": "API Check",
"checkId": "1008ca04-d3ca-41fa-b477-9e99b761dbb4",
"hasFailures": false,
"hasErrors": false,
"isDegraded": true,
"longestRun": 10,
"shortestRun": 5,
"lastRunLocation": "us-east-1",
"lastCheckRunId": "f10d711f-cd16-4303-91ce-741c92586b4a",
"sslDaysRemaining": 3,
"created_at": "2023-12-25",
"updated_at": "2023-11-07T05:31:56Z"
}
]
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

Check Status

# List all check statuses

Shows the current status information for all checks in your account. The check status records are continuously updated as new check results come in.

GET

/

v1

/

check-statuses

List all check statuses

```
curl --request GET \
--url https://api.checklyhq.com/v1/check-statuses \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v1/check-statuses"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v1/check-statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v1/check-statuses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v1/check-statuses"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v1/check-statuses")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v1/check-statuses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
[
{
"name": "API Check",
"checkId": "1008ca04-d3ca-41fa-b477-9e99b761dbb4",
"hasFailures": false,
"hasErrors": false,
"isDegraded": true,
"longestRun": 10,
"shortestRun": 5,
"lastRunLocation": "us-east-1",
"lastCheckRunId": "f10d711f-cd16-4303-91ce-741c92586b4a",
"sslDaysRemaining": 3,
"created_at": "2023-12-25",
"updated_at": "2023-11-07T05:31:56Z"
}
]
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

#### Authorizations

​

Authorization

string

header

required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key [here](https://app.checklyhq.com/settings/user/api-keys).
Your API key is like a password:
keep it secure!

Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.

For example, set Authorization header while using cURL: `curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

#### Headers

​

x-checkly-account

string

Your Checkly account ID, you can find it at [https://app.checklyhq.com/settings/account/general](https://app.checklyhq.com/settings/account/general)

#### Response

(object | null)[]

Successful

​

name

string

required

The name of the check.

Example: `"API Check"`

​

checkId

string

The ID of check this status belongs to.

Example: `"1008ca04-d3ca-41fa-b477-9e99b761dbb4"`

​

hasFailures

boolean

Describes if this check is currently failing. If any of the assertions for an API checkfail this value is true. If a browser check fails for whatever reason, this is true.

Example: `false`

​

hasErrors

boolean

Describes if due to some error outside of normal operation this check is failing. This should be extremely rare and only when there is an error in the Checkly backend.

Example: `false`

​

isDegraded

boolean

A check is degraded if it is over the degradation limit set by the "degradedResponseTime" field on the check. Applies only to API checks.

Example: `true`

​

longestRun

number | null

The longest ever recorded response time for this check.

Example: `10`

​

shortestRun

number | null

The shortest ever recorded response time for this check.

Example: `5`

​

lastRunLocation

string | null

What location this check was last run at.

Example: `"us-east-1"`

​

lastCheckRunId

string | null

The unique incrementing ID for each check run.

Example: `"f10d711f-cd16-4303-91ce-741c92586b4a"`

​

sslDaysRemaining

number | null

How many days remain till the current SSL certificate expires.

Example: `3`

​

created_at

string<date>

​

updated_at

string<date-time> | null

Was this page helpful?

[Suggest edits](https://github.com/checkly/docs/edit/main/api-reference/check-status/list-all-check-statuses.mdx)[Raise issue](https://github.com/checkly/docs/issues/new?title=Issue%20on%20docs&body=Path:%20/api-reference/check-status/list-all-check-statuses)

[Cancel a check session Previous](https://www.checklyhq.com/docs/api-reference/check-sessions/cancel-a-check-session)[Retrieve check status details Next](https://www.checklyhq.com/docs/api-reference/check-status/retrieve-check-status-details)

[x](https://x.com/checklyhq)[github](https://github.com/checkly)[linkedin](https://linkedin.com/company/checkly)

[Powered by This documentation is built and hosted on Mintlify, a developer documentation platform](https://www.mintlify.com/?utm_campaign=poweredBy&utm_medium=referral&utm_source=checkly-422f444a)
